
package org.sky.scientific.wrapper;

import org.sky.core.mp.support.BaseEntityWrapper;
import org.sky.core.tool.utils.BeanUtil;
import org.sky.scientific.pojo.entity.CgJsbzEntity;
import org.sky.scientific.pojo.vo.CgJsbzVO;
import java.util.Objects;

/**
 * 科研成果-技术标准 包装类,返回视图层所需的字段
 *
 * @author Kd
 * @since 2025-06-29
 */
public class CgJsbzWrapper extends BaseEntityWrapper<CgJsbzEntity, CgJsbzVO> {

	public static CgJsbzWrapper build() {
		return new CgJsbzWrapper();
 	}

	@Override
	public CgJsbzVO entityVO(CgJsbzEntity cgJsbz) {
		CgJsbzVO cgJsbzVO = Objects.requireNonNull(BeanUtil.copyProperties(cgJsbz, CgJsbzVO.class));

		//User createUser = UserCache.getUser(cgJsbz.getCreateUser());
		//User updateUser = UserCache.getUser(cgJsbz.getUpdateUser());
		//cgJsbzVO.setCreateUserName(createUser.getName());
		//cgJsbzVO.setUpdateUserName(updateUser.getName());

		return cgJsbzVO;
	}


}
